package com.ekexiu.console.system.pojo;

import com.ekexiu.console.system.po.WebMsgIdx;
import org.jfw.apt.orm.annotation.entry.CalcColumn;
import org.jfw.apt.orm.annotation.entry.ExtendView;
import org.jfw.apt.orm.core.defaultImpl.StringHandler;

/**
 * Created by TT on 2017/10/9.
 */
@ExtendView(fromSentence = "web_msg_idx msg LEFT JOIN professor own on own.id = msg.owner LEFT JOIN professor actor on actor.id = msg.actor",tableAlias = "msg")
public class WebMsgIdxInfo extends WebMsgIdx{
    private String ownerName;
    private String actorName;

    @CalcColumn(handlerClass = StringHandler.class, column = "own.name")
    public String getOwnerName() {
        return ownerName;
    }

    public void setOwnerName(String ownerName) {
        this.ownerName = ownerName;
    }

    @CalcColumn(handlerClass = StringHandler.class, column = "actor.name")
    public String getActorName() {
        return actorName;
    }

    public void setActorName(String actorName) {
        this.actorName = actorName;
    }
}
