package com.ekexiu.console.system.service;

import com.ekexiu.console.system.dao.WebMsgDao;
import com.ekexiu.console.system.po.WebMsgCnt;
import com.ekexiu.console.system.pojo.WebMsgIdxInfo;
import org.jfw.apt.annotation.Autowrie;
import org.jfw.apt.annotation.DefaultValue;
import org.jfw.apt.annotation.Nullable;
import org.jfw.apt.web.annotation.Path;
import org.jfw.apt.web.annotation.operate.Get;
import org.jfw.apt.web.annotation.param.JdbcConn;
import org.jfw.util.PageQueryResult;

import java.sql.Connection;
import java.sql.SQLException;
import java.util.List;

/**
 * Created by TT on 2017/9/30.
 */
@Path("/Msg")
public class WebMsgService {
    @Autowrie
    WebMsgDao webMsgDao;

    public WebMsgDao getWebMsgDao() {
        return webMsgDao;
    }

    public void setWebMsgDao(WebMsgDao webMsgDao) {
        this.webMsgDao = webMsgDao;
    }

    @Path("/qa")
    @Get
    public PageQueryResult<WebMsgIdxInfo> query(@JdbcConn Connection con, @Nullable String name,@DefaultValue("1") int pageNo, @DefaultValue("10") int pageSize)throws SQLException{
        if (name != null) {
            name =  "%" + name + "%";
        }
        return webMsgDao.query(con,name,pageSize, pageNo);
    }

    @Path("/cnt")
    @Get
    public List<WebMsgCnt> queryCnt(@JdbcConn Connection con, String actor1, String actor2)throws SQLException {
        return webMsgDao.queryAll(con, actor1, actor2);
    }
}
